Subject: bug#36511: extraneous recompiles of scm files while editing gnu/packages/

From: Robert Vollmert <[email-masked]>
Date: Fri, 12 Jul 2019 09:40:49 +0200

> On 9. Jul 2019, at 17:45, Robert Vollmert <[email-masked]> wrote:
> 
> I’ve applied your patch and am testing it now. At first glance it doesn’t
> improve the situation, compare the output below of running `guix build -L .`
> similar to before, after having edited check.scm.

Things do seem to work stably with the patch, although I still don’t see an
improvement. I do repeatedly get the following warnings now, though they don’t
seem to break things:

[ 75%] GUILEC   guix/build/elm-build-system.go
warning: unknown warning type `shadowed-toplevel'
[ 88%] GUILEC   guix/import/elm.go
warning: unknown warning type `shadowed-toplevel'
[100%] GUILEC   guix/config.go
warning: unknown warning type `shadowed-toplevel'